.modal-window{
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 1000;
    pointer-events: none;
}
.modal-window-dark-bg{
    width: 100%;
    position: absolute;
    height: 100%;
    top: 0;
    z-index: 0;
    cursor: pointer;
    transition: 0.3s;
}
.modal-window-container{
    position: relative;
    z-index: 1;
    margin: 10vh auto;
    min-width: 240px;
    max-width: 600px;
    background: white;
    border-radius: 24px;
    opacity: 0;
    transition: 0.3s;
    padding: 32px 16px 32px 32px;
}
.activate-modal-window{
    pointer-events: all;
    overflow-y: scroll !important;
}
.activate-modal-window .modal-window-container{
    opacity: 1;
}
.activate-modal-window .modal-window-dark-bg{
    backdrop-filter: blur(5px);
    background: rgba(0, 0, 0, 0.293);
}
.close-btn{
    position: absolute;
    background: none;
    border: none;
    right: 16px;
    top: 16px;
}
.modal-content{
    width: 100%;
    min-height: 100px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    color: var(--default-gray-color);
}
.modal-content h2{
    font-family: 'Inter';
    font-size: 32px;
}
#form{
    display: flex;
    flex-direction: column;
}
#modalTitle{
    font-size: 20px;
    font-weight: 500;
}
.form-item{
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: baseline;
}
.form-item input{
    padding: 10px;
    border: 1px solid rgba(128, 128, 128, 0.473);
    border-radius: 8px;
    outline-color: var(--default-main-color);
    font-size: 20px;
    min-width: 100px;
    font-weight: 600;
}
.input-button-row{
    display: flex;
    gap: 16px;
}
@media (max-width: 660px){
    .modal-window-container{
        padding: 32px 32px 32px 32px;
        margin: 10vh 16px;
    }
    .modal-content h2{
        font-size: 26px;
    }
}
@media (max-width: 542px){
    .input-button-row{
        flex-direction: column;
        width: 100%;
    }
    #modalTitle{
        font-size: 16px;
    }
}